import {schema} from "../schemata/SchemaData.js";
import {EnumSerializer, OptionalSerializer} from "../schemata/Serialization.js";
import {Condition, CONDITIONS} from "./Condition.js";

export enum Suicidality {
    NONE = "None",
    PASSIVE = "Passive",
    INTRUSIVE = "Intrusive",
    ACTIVE = "Active",
    RESIGNED = "Resigned",
    PLANNING = "Planning",
    PLANNED = "Planned",
    DANGER = "Danger",
}
export const SUICIDALITIES: Suicidality[] = [Suicidality.NONE, Suicidality.PASSIVE, Suicidality.INTRUSIVE, Suicidality.ACTIVE, Suicidality.RESIGNED, Suicidality.PLANNING, Suicidality.PLANNED, Suicidality.DANGER]

export const SuicidalitySerializer = new EnumSerializer<Suicidality>(SUICIDALITIES)
export const OptionalSuicidalitySerializer = new OptionalSerializer(SuicidalitySerializer)
